Bug 451610 - nspluginwrapper segfaults (in npviewer.bin)
nspluginwrapper segfaults (in npviewer.bin)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened, Triaged
: 613233 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 02:18 EDT by Michal Jaegermann
Modified: 2011-10-20 12:49 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-20 10:06:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-06-16 02:18:12 EDT
Description of problem:

Found the following in my logs:

npviewer.bin[3806]: segfault at f6ee0044 ip 85b7a0 sp ffcffb2c error 4 in
libpthread-2.8.so[854000+15000]

I believe that this would be a result from an attempt to visit
on an x86_64 installation the following URL which needs flashplayer:
http://www.theonion.com/content/video/diebold_accidentally_leaks

After I hit "reload" the whole video was shown.

Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-27.fc9

How reproducible:
It appear to be random and subsequently few other videos played
without issues.
Comment 1 Martin Stransky 2008-06-17 08:06:56 EDT
I can reproduce it. But it seems to be a dupe of Bug 360891.
Comment 2 Michal Jaegermann 2008-06-17 10:58:19 EDT
There are two problems with "a dupe of Bug 360891".  One, the other
bug is currently "CLOSED ERRATA" but a segfault is still here.
Two - the other bug seems to concentrate mostly (although maybe not
entirely) on issues brought forward by SMP.  The machine from the
original report has only one x86_64 processor (ASUS A8V Deluxe board).
Comment 3 Warren Togami 2008-06-17 12:36:29 EDT
This is not the same issue as Bug 360891.
Comment 4 Martin Stransky 2008-06-18 01:46:59 EDT
You're right, I can reproduce it on my home box which is i386/single core.
Investigating....
Comment 5 Martin Stransky 2008-10-23 11:14:07 EDT
The latest nspluginwrapper package fixes the crashes for me. Please reopen if the problem persists...
Comment 6 Martin Stransky 2008-10-23 11:14:51 EDT
I mean package 1.1.2-2.f9
Comment 7 Michal Jaegermann 2008-10-23 12:26:36 EDT
Should we expect an update for F8 as well?  This is a small sample from
one of machines with nspluginwrapper-0.9.91.5-18.fc8:

Oct 20 17:17:28 epsilon kernel: npviewer.bin[19769]: segfault at 0 ip 0 sp ffeb191c error 14
Oct 20 17:17:29 epsilon kernel: npviewer.bin[19785]: segfault at 0 ip 0 sp ffa6bcdc error 14
Oct 20 17:17:30 epsilon kernel: npviewer.bin[19801]: segfault at 0 ip 0 sp ff960bcc error 14
Oct 21 19:35:22 epsilon kernel: npviewer.bin[4142]: segfault at 0 ip 0 sp ffdcb84c error 14
Oct 21 19:35:23 epsilon kernel: npviewer.bin[4178]: segfault at 0 ip 0 sp fff2b1ac error 14
Oct 21 19:35:24 epsilon kernel: npviewer.bin[4214]: segfault at 0 ip 0 sp ffcaaf2c error 14
Oct 21 19:35:26 epsilon kernel: npviewer.bin[4250]: segfault at 0 ip 0 sp ff9293ac error 14
Oct 22 15:11:30 epsilon kernel: npviewer.bin[6279]: segfault at 0 ip 0 sp ffd0664c error 14
Oct 22 15:11:31 epsilon kernel: npviewer.bin[6315]: segfault at 0 ip 0 sp fffcf10c error 14
Oct 22 15:11:32 epsilon kernel: npviewer.bin[6351]: segfault at 0 ip 0 sp ff9c630c error 14
Oct 22 15:11:34 epsilon kernel: npviewer.bin[6407]: segfault at 0 ip 0 sp ff80694c error 14
Oct 22 15:30:31 epsilon kernel: npviewer.bin[27430]: segfault at 0 ip 0 sp ffd8aecc error 14
Oct 22 15:30:31 epsilon kernel: npviewer.bin[27446]: segfault at 0 ip 0 sp ff913a5c error 14
Oct 22 15:30:31 epsilon kernel: npviewer.bin[27482]: segfault at 0 ip 0 sp ff8989dc error 14

This one sports two processors though.
Comment 8 Jos Vos 2008-11-09 06:47:02 EST
Unfortunately, I still have the problem with 1.1.2-2.fc9.  With the URL <http://www.coffeecompany.nl/> the segfault almost occurs every time.  Only very rarely, I actually see the contents (a booklet with tabs).  The error I get:

Nov  9 12:45:33 dumbo kernel: npviewer.bin[13431]: segfault at f6fab030 ip 20a7a0 sp fffb8f14 error 4 in libpthread-2.8.so[203000+15000]
Comment 9 Jos Vos 2008-11-09 08:11:56 EST
I just saw that a new upstream development version 1.1.4 is available now, that claims to have resolved several of the issues I saw (although the segfault is not mentioned).  Rebuilding the rpm with that is not just a simple rebuild, as the Fedora patches don't apply without changes.
Comment 10 Martin Stransky 2008-11-09 12:02:46 EST
I'm considering to release 1.1.14 package for Fedora, at least to testing. Can be there this week.
Comment 11 Jos Vos 2008-11-09 12:17:28 EST
Great!  I'll be happy to test it when it's ready.
Comment 12 Martin Stransky 2009-03-25 10:10:17 EDT
The latest fedora package is 1.3.0 so I hope it's fine now.
Comment 13 Maximiliano Castanon 2010-04-19 17:40:00 EDT
This problem persist... i have version npapi 1.3.0 but randomly my browser fails and close...

dmesg|grep -i shows 

[maximi89@gateway ~]$ dmesg|grep -i npviewer
npviewer.bin[14045]: segfault at acd1bf58 ip 00a7bbed sp ae1fdf84 error 4 in libpthread-2.11.1.so[a74000+16000]
npviewer.bin[16037]: segfault at 14 ip 01482aae sp b4f3ef90 error 4
npviewer.bin[17206]: segfault at 14 ip 01482aae sp a7b5ef90 error 4 in libflashplayer.so[dfe000+990000] in libflashplayer.so[dfe000+990000]
npviewer.bin[23039]: segfault at a650aa10 ip 00a7bbed sp a855ff84 error 4 in libpthread-2.11.1.so[a74000+16000]
npviewer.bin[1018]: segfault at a42c74c8 ip 00a7bbed sp a1d09f84 error 4
npviewer.bin[4868]: segfault at a3e50a10 ip 00a7bbed sp 9e7bef84 error 4 in libpthread-2.11.1.so[a74000+16000] in libpthread-2.11.1.so[a74000+16000]
npviewer.bin[4585]: segfault at a6e7e4c8 ip 00a7bbed sp af6fbf84 error 4
npviewer.bin[4782]: segfault at a68d5a10 ip 00a7bbed sp a585cf84 error 4 in libpthread-2.11.1.so[a74000+16000]
npviewer.bin[30469]: segfault at 14 ip 01482aae sp ae6fef90 error 4 in libflashplayer.so[dfe000+990000]
npviewer.bin[24760]: segfault at ff99cd48 ip ff99cd48 sp bfc01e3c error 14
npviewer.bin[15995]: segfault at ff99cd48 ip ff99cd48 sp bfe0705c error 14


Last few lines of my @dmesg@


atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
UDP: short packet: From 84.187.191.223:62694 25649/285 to 0.0.0.0:56050
npviewer.bin[1018]: segfault at a42c74c8 ip 00a7bbed sp a1d09f84 error 4
npviewer.bin[4868]: segfault at a3e50a10 ip 00a7bbed sp 9e7bef84 error 4 in libpthread-2.11.1.so[a74000+16000] in libpthread-2.11.1.so[a74000+16000]

npviewer.bin[4585]: segfault at a6e7e4c8 ip 00a7bbed sp af6fbf84 error 4
npviewer.bin[4782]: segfault at a68d5a10 ip 00a7bbed sp a585cf84 error 4 in libpthread-2.11.1.so[a74000+16000]
npviewer.bin[30469]: segfault at 14 ip 01482aae sp ae6fef90 error 4 in libflashplayer.so[dfe000+990000]
 in libpthread-2.11.1.so[a74000+16000]
sr0: CDROM not ready.  Make sure there is a disc in the drive.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
sr0: CDROM not ready.  Make sure there is a disc in the drive.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
wlan2: direct probe to 00:1e:8c:2e:58:a0 (try 1)
wlan2: direct probe to 00:1e:8c:2e:58:a0 (try 2)
wlan2: direct probe to 00:1e:8c:2e:58:a0 (try 3)
wlan2: direct probe to 00:1e:8c:2e:58:a0 timed out
UDP: bad checksum. From 67.49.200.90:60492 to 200.55.202.226:60788 ulen 38
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643620026:643624264 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643623778:643627144 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643623778:643627144 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643623778:643627144 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643623778:643627144 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643623778:643627144 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643637306:643640104 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643637306:643640104 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643637306:643640104 (repaired)
TCP: Peer 82.158.120.228:11650/35533 unexpectedly shrunk window 643637306:643640104 (repaired)
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
npviewer.bin[24760]: segfault at ff99cd48 ip ff99cd48 sp bfc01e3c error 14
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
npviewer.bin[15995]: segfault at ff99cd48 ip ff99cd48 sp bfe0705c error 14
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e078 <keycode>' to make it known.
UDF-fs: Partition marked readonly; forcing readonly mount
UDF-fs INFO UDF: Mounting volume 'DVDVIDEO', timestamp 2010/04/18 13:13 (1f10)
Comment 14 Maximiliano Castanon 2010-04-19 17:41:11 EDT
The last message it's on Fedora 12, using Firefox 3.5.9, Kernel 2.6.32.11-99.fc12.i686.PAE 32Bits AMD 64 X2
Comment 15 Michal Jaegermann 2010-04-19 18:07:00 EDT
(In reply to comment #12)
> The latest fedora package is 1.3.0 so I hope it's fine now.    

Apr 19 09:10:52 epsilon kernel: npviewer.bin[17606]: segfault at ff999ea8 ip 00000000ff999ea8 sp 00000000ffbfa11c error 14
Apr 19 09:16:16 epsilon kernel: npviewer.bin[17692]: segfault at ff999ea8 ip 00000000ff999ea8 sp 00000000ff8583dc error 14
Apr 19 09:19:25 epsilon kernel: npviewer.bin[17753]: segfault at 13 ip 00000000014d7e87 sp 00000000ffa65bb4 error 4 in libflashplayer.so[dfb000+994000]
Apr 19 09:26:48 epsilon kernel: npviewer.bin[17838]: segfault at ff999ea8 ip 00000000ff999ea8 sp 00000000ffff68ec error 14
Apr 19 09:29:24 epsilon kernel: npviewer.bin[17882]: segfault at ff999ea8 ip 00000000ff999ea8 sp 00000000ffe887bc error 14

This is with nspluginwrapper-1.3.0-10.fc12 installed "Mon 07 Dec 2009 05:45:25 PM MST".

https://bugzilla.redhat.com/buglist.cgi?quicksearch=npviewer.bin+segfault
comes back with a number of bugs.
Comment 16 Nikolas Moraitis 2010-06-27 07:21:52 EDT
Jun 27 12:52:23 localhost kernel: npviewer.bin[6158]: segfault at 0 ip 000000000119d041 sp 00000000ffa8efe0 error 4 in libflashplayer.so[dfe000+b04000]
Jun 27 12:52:23 localhost abrt[6185]: saved core dump of pid 6158 (/usr/lib/nspluginwrapper/npviewer.bin) to /var/cache/abrt/ccpp-1277632343-6158.new/coredump (10731520 bytes)
Jun 27 12:52:23 localhost abrtd: Directory 'ccpp-1277632343-6158' creation detected
Jun 27 12:52:23 localhost abrtd: Blacklisted package 'nspluginwrapper'
Jun 27 12:52:23 localhost abrtd: Corrupted or bad crash /var/cache/abrt/ccpp-1277632343-6158 (res:2), deleting




This is what i'm getting on my freshly installed Fedora 13 x64 Gnome system eith latest firefox and updated 100% .
Flash player version 10.1.53.64
.When i use google-chrome-unstable v6, the problem rarely occurs

After some 4, 5 errors the system freezes
Comment 17 Maximiliano Castanon 2010-06-27 14:11:17 EDT
using Firefox 3.7a6pre all errors from Flash disappear... you guys can try Firefox Minefield?
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/
Comment 18 Maximiliano Castanon 2010-06-27 14:11:58 EDT
at lest i don't see anyone of the last errors..
Comment 19 Scott Castaline 2010-12-11 10:06:27 EST
I'm getting the same errors in the message log file as in comment 16.

I'm running Fedora 14 2.6.35.9-64.fc14.x86_64
Gnome desktop Compiz-Fusion effects enabled
Firefox 3.6.12

The only difference is that after a couple of errors Firefox windown will suddenly turn gray and freezes. The rest of the system is responsive and I usually kill -9 PID of /usr/bin/firefox and then restart it.
Comment 20 udo 2010-12-11 10:13:45 EST
The firefox windows turns grey?
That is different than just the flash window turning grey. In the latter case an F5 mostly helps work around that...
Comment 21 udo 2010-12-11 10:15:47 EST
BTW:
abrt[16810]: saved core dump of pid 4388 (/usr/lib/nspluginwrapper/npviewer.bin) to /var/spool/abrt/ccpp-1292075538-4388.new/coredump (127619072 bytes)

So it still happens?
Comment 22 Scott Castaline 2010-12-11 12:12:49 EST
(In reply to comment #20)
> The firefox windows turns grey?
> That is different than just the flash window turning grey. In the latter case
> an F5 mostly helps work around that...

Last time was last night while watching a TV show from HULU and had paused it. When I resumed it caused the screen to zoom in to the point where full shots were like close ups to actors face and actual face zooms showed whether their pupil was dialated. I could not find any controls to return to normal then suddenly the FF window went gray and unresponsive, unable to switch tabs or even close FF from the X button.

(In reply to comment #21)
> BTW:
> abrt[16810]: saved core dump of pid 4388
> (/usr/lib/nspluginwrapper/npviewer.bin) to
> /var/spool/abrt/ccpp-1292075538-4388.new/coredump (127619072 bytes)
> 
> So it still happens?

Got the message again this morning prior to today's update to FF 3.6.13. Not sure what that update does or supposed to fix.
Comment 23 Alon 2010-12-11 20:40:04 EST
I have been having the npviewer segmentation fault since the week of Thanksgiving.  I have a 64 bit AMD Athlon 3000+ and Fedora 13.  Manifestation is with the Citrix Client.  Doesn't seem to be with any other plugin though.

Obviously what ever was fixed in the past has been broken again with patches applied the week of Thanksgiving.  Would be nice to get this fixed.  I am having to run Fedora 10 to connect to my work server.
Comment 24 Matěj Cepl 2010-12-22 12:58:29 EST
(In reply to comment #23)
> I have been having the npviewer segmentation fault since the week of
> Thanksgiving.  I have a 64 bit AMD Athlon 3000+ and Fedora 13.  Manifestation
> is with the Citrix Client.  Doesn't seem to be with any other plugin though.
> 
> Obviously what ever was fixed in the past has been broken again with patches
> applied the week of Thanksgiving.  Would be nice to get this fixed.  I am
> having to run Fedora 10 to connect to my work server.

Could you please file a separate bug for this? Does abrt get activated? It would be best to file a bug through this.
Comment 25 Matěj Cepl 2010-12-22 13:00:00 EST
Reporter, the same what I wrote in the comment 24 applies to you too? Are you able to reproduce this? Any steps how we could reproduce it here? Any good backtrace for this?
Comment 26 Matěj Cepl 2010-12-22 13:01:54 EST
(In reply to comment #15)
> https://bugzilla.redhat.com/buglist.cgi?quicksearch=npviewer.bin+segfault
> comes back with a number of bugs.

Will look through the list again, but currently it has 7 bugs (including this one) and some of them are certainly not related to this.
Comment 27 Michal Jaegermann 2010-12-22 17:41:26 EST
(In reply to comment #25)

> Are you able to reproduce this?

Not a will or in a totally predictable manner.

> Any good backtrace for this?

I never observed abrt catching that.  OTOH these are recent log entries
(updated Fedora 13 installation, nspluginwrapper-1.3.0-13.fc13):

Nov 21 13:33:03 kernel: npviewer.bin[24106]: segfault at 418 ip 0000000001049c86 sp 00000000fff806d8 error 6 in libflashplayer.so[dfa000+b2e000]
Nov 21 13:53:02 kernel: npviewer.bin[31367]: segfault at f4ac804c ip 0000000001199ee7 sp 00000000ffc62b40 error 4 in libflashplayer.so[dfa000+b2e000]
Nov 22 00:19:38 kernel: npviewer.bin[31521]: segfault at 418 ip 0000000001049c86 sp 00000000ffcf0648 error 6 in libflashplayer.so[dfa000+b2e000]
Nov 22 17:10:28 kernel: npviewer.bin[2097]: segfault at f5c6e04c ip 00000000012b6ee7 sp 00000000ffd7cd10 error 4 in libflashplayer.so[f17000+b2e000]
Nov 23 15:30:31 kernel: npviewer.bin[22194]: segfault at 0 ip 0000000001199ed1 sp 00000000ff876500 error 4 in libflashplayer.so[dfa000+b2e000]
Nov 23 15:56:15 kernel: npviewer.bin[22498]: segfault at 0 ip 000000000126ded1 sp 00000000fff17630 error 4 in libflashplayer.so[ece000+b2e000]
Nov 25 18:28:11 kernel: npviewer.bin[11941]: segfault at 0 ip 0000000001199ed1 sp 00000000ff9b0110 error 4 in libflashplayer.so[dfa000+b2e000]
Nov 25 18:30:15 kernel: npviewer.bin[12066]: segfault at 418 ip 0000000001049c86 sp 00000000fffa6938 error 6 in libflashplayer.so[dfa000+b2e000]
Nov 26 16:51:15 kernel: npviewer.bin[12126]: segfault at f74f7054 ip 0000000001199ec3 sp 00000000fff76dd0 error 4 in libflashplayer.so[dfa000+b2e000]
Nov 26 16:53:55 kernel: npviewer.bin[19995]: segfault at f737804c ip 00000000011c7ee7 sp 00000000ffda01e0 error 4 in libflashplayer.so[e28000+b2e000]
Nov 26 17:17:16 kernel: npviewer.bin[20041]: segfault at f5a6d054 ip 0000000001199ec3 sp 00000000ff83dcb0 error 4 in libflashplayer.so[dfa000+b2e000]
Nov 28 20:25:44 kernel: npviewer.bin[20445]: segfault at f747104c ip 00000000012cbee7 sp 00000000ffe27ad0 error 4 in libflashplayer.so[f2c000+b2e000]
Dec  8 16:31:18 kernel: npviewer.bin[2245]: segfault at 418 ip 0000000001049c86 sp 00000000ffae8bc8 error 6 in libflashplayer.so[dfa000+b2e000]
Dec  8 16:42:33 kernel: npviewer.bin[2573]: segfault at 0 ip 00000000011d9ed1 sp 00000000fffa25f0 error 4 in libflashplayer.so[e3a000+b2e000]
Dec  8 16:53:53 kernel: npviewer.bin[2712]: segfault at 0 ip 0000000001199ed1 sp 00000000ff900950 error 4 in libflashplayer.so[dfa000+b2e000]
Dec  8 16:59:36 kernel: npviewer.bin[2831]: segfault at f526e054 ip 0000000001199ec3 sp 00000000ffcd0ef0 error 4 in libflashplayer.so[dfa000+b2e000]
Dec  8 17:14:57 kernel: npviewer.bin[2897]: segfault at 0 ip 0000000001199ed1 sp 00000000ffde7b20 error 4 in libflashplayer.so[dfa000+b2e000]
Dec 10 15:58:13 kernel: npviewer.bin[20099]: segfault at 0 ip 0000000001391ed1 sp 00000000ffa5c850 error 4 in libflashplayer.so[ff2000+b2e000]
Dec 10 15:59:35 kernel: npviewer.bin[20217]: segfault at 0 ip 0000000001199ed1 sp 00000000ffdcd4e0 error 4 in libflashplayer.so[dfa000+b2e000]
Dec 10 16:04:44 kernel: npviewer.bin[20358]: segfault at 0 ip 0000000001312ed1 sp 00000000ffdc3a10 error 4 in libflashplayer.so[f73000+b2e000]

Due to a bug 658225, which made flash with npviewer totally unusable, I had to bypass nspluginwrapper with flashplayer after installing a 64-bit beta version and that stopped these. December 10th is a date I updated to firefox-3.6.13-1.fc13 and xulrunner-1.9.2.13-1.fc13 with a resulting collateral damage. Still whatever evil things flashplayer is doing does not seem to be a good enough reason to segfault npviewer.bin (only right now that really does not work, period).

OTOH just today I got SIGSEGV in /usr/lib64/xulrunner-1.9.2/plugin-container but from a backtrace this may be rather related to a bug 663507.

Still on CentOS 5 with nspluginwrapper-1.3.0-9.el5 I am collecting quite regularly:

npviewer.bin[17357]: segfault at 0000000000000418 rip 00000000f717dc86 rsp 00000000ff855318 error 6
npviewer.bin[18098]: segfault at 0000000000000418 rip 00000000f7673c86 rsp 00000000ffdb0fc8 error 6
npviewer.bin[18140]: segfault at 0000000000000418 rip 00000000f767ac86 rsp 00000000ff93e3c8 error 6
npviewer.bin[18240]: segfault at 0000000000000418 rip 00000000f75b7c86 rsp 00000000ffd57b28 error 6
npviewer.bin[18321]: segfault at 0000000000000418 rip 00000000f7607c86 rsp 00000000ffd5cea8 error 6
npviewer.bin[18461]: segfault at 0000000000000418 rip 00000000f761dc86 rsp 00000000ffc76438 error 6
npviewer.bin[27109]: segfault at 00000000f740a899 rip 00000000f740a899 rsp 00000000f42ff280 error 14

I do not have a good recipe to reproduce that either but it appears that any plugin activity sooner or later will end up with one of these.
Comment 28 Alon 2010-12-22 21:09:39 EST
Sorry for not replying sooner.  I was installing Fedora 14 on another drive in my PC and it trashed my F13 volume.  I have not been able to restore it yet.  I have been using 64 bit Fedora for several years, but there just seem to be too many problems with it.  I am going back to 32 bit when I am able to restore the drive volume.

Thanks...
Comment 29 Matěj Cepl 2010-12-23 07:36:15 EST
*** Bug 613233 has been marked as a duplicate of this bug. ***
Comment 30 Michal Jaegermann 2010-12-25 14:03:14 EST
(In reply to comment #25)
> Any good backtrace for this?

I have some, rather sizeable, core files from segfaulting npviewer.bin on 64-bit CenOS 5 installation with nspluginwrapper-1.3.0-9.el5; only that backtraces are really practically non-exitstent.  They stop on an initial frame.  Anybody is interested in that?

It is clear from those cores that crashes are triggered by libflashplayer.

I also found some like these:

Core was generated by `/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflas'.
Program terminated with signal 6, Aborted.

There a backtrace ends up with:
#0  0xffffe405 in __kernel_vsyscall ()
#1  0x009cfdf0 in ?? ()

Yes, this is a 32-bit npviewer.bin running from firefox.x86_64.
Comment 31 Bug Zapper 2011-06-02 14:29:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Michal Jaegermann 2011-06-02 15:38:07 EDT
On a fresh installation of Fedora 14 I see in logs quite often messages like:

kernel: [250114.996074] npviewer.bin[5239]: segfault at 218 ip 0000000000ba7806 sp 00000000ffe961d8 error 6 in libflashplayer.so[92b000+bc1000]
abrt[15288]: saved core dump of pid 5239 (/usr/lib/nspluginwrapper/npviewer.bin) to /var/spool/abrt/ccpp-1305631944-5239.new/coredump (42102784 bytes)

Only the second line is misleading because in /etc/abrt/abrt.conf one can find /usr/bin/nspluginviewer in BlackListedPaths and those coredumps are not really saved.
Comment 33 Martin Stransky 2011-10-20 10:06:55 EDT
Adobe released 64-bit flash plug-in so you don't need the nspluginwrapper any more.
Comment 34 udo 2011-10-20 10:16:47 EDT
They did? Where's the rpm?
Why did it take so long for whoever to discover this?
And is the x86_64 rpm as well maintained as the x686 version?
Comment 35 Martin Stransky 2011-10-20 10:26:15 EDT
Download it from Adobe website.
Comment 38 Michal Jaegermann 2011-10-20 12:05:53 EDT
(In reply to comment #33)
> Adobe released 64-bit flash plug-in so you don't need the nspluginwrapper any
> more.

Eh? Who said that nspluginwrapper is exclusively for flash?
Comment 39 Martin Stransky 2011-10-20 12:13:27 EDT
This bug is about flash crash inside nspluginwrapper. If you have problems with other plugins, please open a new bug for it.
Comment 40 Michal Jaegermann 2011-10-20 12:49:06 EDT
(In reply to comment #35)
> Download it from Adobe website.

If you are installing 64-bit flash-plugin then on a long run you will be much better with the following:

1. Write to /var/tmp/adobe.repo this:

[adobe-linux-x86_64]
name=Adobe
baseurl=http://linuxdownload.adobe.com/linux/$basearch/
enabled=1
gpgcheck=0

2. yumdownloader -c /var/tmp/adobe.repo 'adobe-release*'
3. Install just retrieved rpm file ('--nogpgcheck' may be needed)
4. yum remove flash-plugin.i386
5. yum install flash-plugin.x86_64
6. rm /var/tmp/adobe.repo

Note You need to log in before you can comment on or make changes to this bug.